Skip to main content
POST
/
v1
/
public
/
workspaces
/
{workspace_id}
/
knowledge_bases
Create a knowledge base
curl --request POST \
  --url https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/knowledge_bases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "knowledge_base": {
    "name": "Product Catalog",
    "description": "Searchable product data",
    "search_type": "hybrid",
    "search_score_threshold": 0.5,
    "search_chunk_limit": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
'
import requests

url = "https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/knowledge_bases"

payload = { "knowledge_base": {
"name": "Product Catalog",
"description": "Searchable product data",
"search_type": "hybrid",
"search_score_threshold": 0.5,
"search_chunk_limit": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
knowledge_base: {
name: 'Product Catalog',
description: 'Searchable product data',
search_type: 'hybrid',
search_score_threshold: 0.5,
search_chunk_limit: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};

fetch('https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/knowledge_bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Successfully created a knowledge base.",
  "knowledge_base": {}
}
{
"error": "Invalid access."
}

Authorizations

Authorization
string
header
required

Workspace API key sent as Authorization: Bearer <api_key>.

Path Parameters

workspace_id
string<uuid>
required

Workspace UUID

Body

application/json
knowledge_base
object
required

Response

knowledge base created

message
string
required
Example:

"Successfully created a knowledge base."

knowledge_base
object
required